

    public byte[] getClassBytes(String className)
	 throws RemoteException, ClassNotFoundException
	  {
		dprint(3,"ConsumerClassLoader: Class ["+className+"] was requested");
		return myClassLoader.getBytes(className);
	  }


    /*************** utilities ******************/

    private TaskServer getTaskServer(String rmiRegistry)
     {
       if (System.getSecurityManager() == null) { System.setSecurityManager(new RMISecurityManager()); } try { TaskServer tServer = (TaskServer) Naming.lookup(rmiRegistry); return tServer; } catch (Exception e) { System.err.println("getServer exception: " + e.getMessage()); return null; } 
     }

    private NodeInfo readNodeInfo(String filename) 
     {
        try {
          FileInputStream in = new FileInputStream(filename);
          ObjectInputStream s = new ObjectInputStream(in);
          NodeInfo node = (NodeInfo) s.readObject();
          return node;
        } catch (Exception e) {
          System.err.println("ConsumerImpl: Error while reading node info from file:"+filename);
          e.getMessage();
          e.printStackTrace();
          return null;  
        }
     }

    void dprint(int importance,String message)
     {
       if (importance<3)
         System.out.println(message);
     }
  
    /************* main method ******************/

    public static void main(String args[]) {
       
        try {
   	    new ConsumerImpl(args[0],args[1]); 
        } catch (Exception e) {
          System.err.println("Couldn't initiate ConsumerImpl"); 
          e.printStackTrace(); 
        }
    }

} // ConsumerImpl

